Thursday, July 1, 2021

Red Hat Security Advisory 2021-2566-01

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: fwupd security update
Advisory ID: RHSA-2021:2566-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2021:2566
Issue date: 2021-06-29
CVE Names: CVE-2020-14372 CVE-2020-25632 CVE-2020-25647
CVE-2020-27749 CVE-2020-27779 CVE-2021-20225
CVE-2021-20233
=====================================================================

1. Summary:

An update for fwupd is now available for Red Hat Enterprise Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux BaseOS (v. 8) - aarch64, ppc64le, s390x, x86_64

3. Description:

The fwupd packages provide a service that allows session software to update
device firmware.

Security Fix(es):

* grub2: acpi command allows privileged user to load crafted ACPI tables
when Secure Boot is enabled (CVE-2020-14372)

* grub2: Use-after-free in rmmod command (CVE-2020-25632)

* grub2: Out-of-bounds write in grub_usb_device_initialize()
(CVE-2020-25647)

* grub2: Stack buffer overflow in grub_parser_split_cmdline()
(CVE-2020-27749)

* grub2: cutmem command allows privileged user to remove memory regions
when Secure Boot is enabled (CVE-2020-27779)

* grub2: Heap out-of-bounds write in short form option parser
(CVE-2021-20225)

* grub2: Heap out-of-bounds write due to miscalculation of space required
for quoting (CVE-2021-20233)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1873150 - CVE-2020-14372 grub2: acpi command allows privileged user to load crafted ACPI tables when Secure Boot is enabled
1879577 - CVE-2020-25632 grub2: Use-after-free in rmmod command
1886936 - CVE-2020-25647 grub2: Out-of-bounds write in grub_usb_device_initialize()
1899966 - CVE-2020-27749 grub2: Stack buffer overflow in grub_parser_split_cmdline()
1900698 - CVE-2020-27779 grub2: cutmem command allows privileged user to remove memory regions when Secure Boot is enabled
1924696 - CVE-2021-20225 grub2: Heap out-of-bounds write in short form option parser
1926263 - CVE-2021-20233 grub2: Heap out-of-bounds write due to miscalculation of space required for quoting

6. Package List:

Red Hat Enterprise Linux BaseOS (v. 8):

Source:
fwupd-1.5.9-1.el8_4.src.rpm

aarch64:
fwupd-1.5.9-1.el8_4.aarch64.rpm
fwupd-debuginfo-1.5.9-1.el8_4.aarch64.rpm
fwupd-debugsource-1.5.9-1.el8_4.aarch64.rpm
fwupd-tests-debuginfo-1.5.9-1.el8_4.aarch64.rpm

ppc64le:
fwupd-1.5.9-1.el8_4.ppc64le.rpm
fwupd-debuginfo-1.5.9-1.el8_4.ppc64le.rpm
fwupd-debugsource-1.5.9-1.el8_4.ppc64le.rpm

s390x:
fwupd-1.5.9-1.el8_4.s390x.rpm
fwupd-debuginfo-1.5.9-1.el8_4.s390x.rpm
fwupd-debugsource-1.5.9-1.el8_4.s390x.rpm
fwupd-tests-debuginfo-1.5.9-1.el8_4.s390x.rpm

x86_64:
fwupd-1.5.9-1.el8_4.x86_64.rpm
fwupd-debuginfo-1.5.9-1.el8_4.x86_64.rpm
fwupd-debugsource-1.5.9-1.el8_4.x86_64.rpm
fwupd-tests-debuginfo-1.5.9-1.el8_4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2020-14372
https://access.redhat.com/security/cve/CVE-2020-25632
https://access.redhat.com/security/cve/CVE-2020-25647
https://access.redhat.com/security/cve/CVE-2020-27749
https://access.redhat.com/security/cve/CVE-2020-27779
https://access.redhat.com/security/cve/CVE-2021-20225
https://access.redhat.com/security/cve/CVE-2021-20233
https://access.redhat.com/security/updates/classification/#moderate
https://access.redhat.com/security/vulnerabilities/RHSB-2021-003

8. Contact:

The Red Hat security contact is <[email protected]>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYNtMGdzjgjWX9erEAQhFURAAj7V2Ey5EAas6E3xU1Gji7Peci9WBl/Zz
1zl9ywqDOYiQU9BGMBTIdlitpPcsQhmzOSBhH11gFltPDAp8bCWx3b8zYpuX4szi
K/3xKdSSdPsFkXrNtWl8fT0kzEJ7Gmggbidkk5j2P5KrWFPKAOVn3oVvtHSd94LM
E9eFm69DGSn3omLeHdX68H+whkaCTXDwuMGp+UqrsjabO20UG7xt+p+C4pYDcHA1
cxYmhqxub1OgKoS9621KTW6F4A0rzEZBS3tCgcyUbRdG1Wt/tACBWq/MCX0bJeIV
lvRZzhRUWbuNfO87ci9KAJNdHoPevm9SBPGAu1KR5o+6TUXOjrRzMFj+YMj9/vGF
SKdMH8chGJzFwSoiGmR2yhmhJX6kXA3s6yClgt+jXzuJroptclksF5mgDJPF7bju
quXApBHavoe8aA8BW1jkoeNBxKRIfyPnFFsSlfVU4Uxr2AmVeFB9xutzdrwzON54
x2aUKg2odsGRK1s/USdd2pwIlYXexH4+TDJizWADbhgOwr6YPa/NGndeuVTfGm2q
d61+O3N1LRABPNSICaz4iOPGEIc+VNhC1G6Ja7cw7iSQivY4K8Ax2OHn5oUHZjBJ
QWPApA3mlAycsWrVK9dXRJkKmuxb/dozfyT9tb7vnCsjUHhmd804TZWRef94uqRM
QIjdKuBa8qc=
=u8kT
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce
 

Copyright © 2020 Cyber Details - Vulnerability Database™

Thanks for everything Templateism - You should have written the code a little more complicated